XSModelGroupDefinition Class Reference
Inheritance diagram for XSModelGroupDefinition:

## Public Member Functions

Constructors
| XSModelGroupDefinition (XercesGroupInfo *const groupInfo, XSParticle *const groupParticle, XSAnnotation *const annot, XSModel *const xsModel, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor. More...
Destructor
| ~XSModelGroupDefinition ()
overridden XSXSObject methods
const XMLCh * | getName () const
| The name of type `NCName` of this declaration as defined in XML Namespaces. More...
const XMLCh * | getNamespace () const
| The [target namespace] of this object, or `null` if it is unspecified. More...
XSNamespaceItem * | getNamespaceItem ()
| A namespace schema information item corresponding to the target namespace of the component, if it's globally declared; or null otherwise. More...
Public Member Functions inherited from XSObject
| XSObject (XSConstants::COMPONENT_TYPE compType, XSModel *const xsModel, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor. More...
virtual | ~XSObject ()
XSConstants::COMPONENT_TYPE | getType () const
| The `type` of this object, i.e. More...
virtual XMLSize_t | getId () const
| Optional. More...
void | setId (XMLSize_t id)
| methods needed by implementation More...
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new. More...
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation. More...
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new. More...
void | operator delete (void *p)
| This method overrides operator delete. More...
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new. More...
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new. More...

## XSModelGroupDefinition methods

XercesGroupInfo * | fGroupInfo
XSParticle * | fModelGroupParticle
XSAnnotation * | fAnnotation
XSModelGroup * | getModelGroup ()
| A model group. More...
XSAnnotation * | getAnnotation () const
| Optional. More...

## Additional Inherited Members

Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor. More...
Protected Attributes inherited from XSObject
XSConstants::COMPONENT_TYPE | fComponentType
XSModel * | fXSModel
MemoryManager * | fMemoryManager
XMLSize_t | fId

## Constructor & Destructor Documentation

## XSModelGroupDefinition()

XSModelGroupDefinition::XSModelGroupDefinition | ( | XercesGroupInfo *const | groupInfo,
|  | XSParticle *const | groupParticle,
|  | XSAnnotation *const | annot,
|  | XSModel *const | xsModel,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |

The default constructor.

Parameters

  groupInfo |
  groupParticle |
  annot |
  xsModel |
  manager | The configurable memory manager

## ~XSModelGroupDefinition()

XSModelGroupDefinition::~XSModelGroupDefinition | ( |  | ) |

## Member Function Documentation

## getAnnotation()

XSAnnotation * XSModelGroupDefinition::getAnnotation | ( |  | ) | const

Optional.

An [annotation].

References fAnnotation.

## getModelGroup()

XSModelGroup* XSModelGroupDefinition::getModelGroup | ( |  | ) |

A model group.

## getName()

const XMLCh* XSModelGroupDefinition::getName | ( |  | ) | const

virtual

The name of type `NCName` of this declaration as defined in XML Namespaces.

Reimplemented from XSObject.

## getNamespace()

const XMLCh* XSModelGroupDefinition::getNamespace | ( |  | ) | const

virtual

The [target namespace] of this object, or `null` if it is unspecified.

Reimplemented from XSObject.

## getNamespaceItem()

XSNamespaceItem* XSModelGroupDefinition::getNamespaceItem | ( |  | ) |

virtual

A namespace schema information item corresponding to the target namespace of the component, if it's globally declared; or null otherwise.

Reimplemented from XSObject.

## Member Data Documentation

## fAnnotation

XSAnnotation* XSModelGroupDefinition::fAnnotation

protected

Referenced by getAnnotation().

## fGroupInfo

XercesGroupInfo* XSModelGroupDefinition::fGroupInfo

protected

## fModelGroupParticle

XSParticle* XSModelGroupDefinition::fModelGroupParticle

protected

The documentation for this class was generated from the following file:

- XSModelGroupDefinition.hpp